Skip to main content

Get active allowance by wallet

GET https://wallet.paysera.com/rest/v1/allowance/active/{walletId}

Get active allowance for specified wallet

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
walletIdstring✓Wallet identifier (integer or 'me')

Example​

Request​

GET https://wallet.paysera.com/rest/v1/allowance/active/{walletId}
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response​

{}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com

RESPONSE

Active allowance retrieved
{
"id": 5478,
"transaction_key": "aB3dEf8H",
"created_at": 1355314332,
"status": "active",
"currency": "EUR",
"wallet": 123,
"confirmed_at": 0,
"valid_until": 3600,
"valid_for": 720,
"description": "Monthly subscription",
"max_price": 5000,
"max_price_decimal": "50.00"
}